Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.publish.maven
[Java] Interface MavenArtifact

    org.gradle.api.Buildable
      org.gradle.api.publish.maven.MavenArtifact

All Superinterfaces:
  Buildable

    @Incubating
    public interface MavenArtifact
    extends Buildable

An artifact published as part of a MavenPublication.

Method Summary
`void` | `builtBy(Object... tasks)` Registers some tasks which build this artifact.
`String` | `getClassifier()` The classifier used to publish the artifact file.
`String` | `getExtension()` The extension used to publish the artifact file, never `null`.
`File` | `getFile()` The actual file contents to publish.
`void` | `setClassifier(String classifier)` Sets the classifier used to publish the artifact file.
`void` | `setExtension(String extension)` Sets the extension used to publish the artifact file.

Methods inherited from interface Buildable
getBuildDependencies

Method Detail

### builtBy

    public void builtBy(Object... tasks)

  Registers some tasks which build this artifact.
  Parameters:
    `tasks` - The tasks. These are evaluated as per Task.dependsOn.

### getClassifier

    @Nullable
    public String getClassifier()

  The classifier used to publish the artifact file. A `null` value (the default) indicates that this artifact will be published without a classifier.

### getExtension

    public String getExtension()

  The extension used to publish the artifact file, never `null`. For an artifact without an extension, this value will be an empty String.

### getFile

    public File getFile()

  The actual file contents to publish.

### setClassifier

    public void setClassifier(@Nullable String classifier)

  Sets the classifier used to publish the artifact file.
  Parameters:
    `classifier` - The classifier.

### setExtension

    public void setExtension(String extension)

  Sets the extension used to publish the artifact file.
  Parameters:
    `extension` - The extension.

Gradle API 1.10